// CSE 374, 2015-3-4, BM
#ifndef VECTOR_H_
#define VECTOR_H_

static const int LENGTH = 10;

class Vector {
  private:
    float values[LENGTH];

  public:
    Vector();
    
    // no const anywhere
    /** add x to every element */
    void add_scalar(float x);

    // a const method means it will not change
    // the values of member variables of 'this'
    /** sum of all the elements */
    float sum() const;

    // const reference parameter 'other'
    // will not have its fields reassigned
    /** add the other vector to this vector */
    void add_vector(const Vector& other);
   
    // const method and const reference parameter 
    /** return this vector + other vector */
    Vector add(const Vector& other) const;
};

#endif
